Package com.smartgwt.client.data

# Class SerializationContext

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.data.SerializationContext

All Implemented Interfaces:
  `HasHandlers`

public class SerializationContext extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerializationContext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getUseFlatFields()`
  Return the useFlatFields.
  `void`
  `setUseFlatFields(Boolean useFlatFields)`
  Set the useFlatFields.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SerializationContext

    public SerializationContext()

- ## Method Details

  - ### setUseFlatFields

    public void setUseFlatFields(Boolean useFlatFields)
    Set the useFlatFields. Enables flat serialization mode, as described for `DSRequest.setUseFlatFields(java.lang.Boolean)`.
    Parameters:
      `useFlatFields` - the useFlatFields

  - ### getUseFlatFields

    public Boolean getUseFlatFields()
    Return the useFlatFields.
    Returns:
      the useFlatFields